# Class ReportingBasePlugin

java.lang.Object
org.gradle.api.plugins.ReportingBasePlugin

All Implemented Interfaces:
  `Plugin<org.gradle.api.internal.project.ProjectInternal>`

public class ReportingBasePlugin extends Object implements Plugin<org.gradle.api.internal.project.ProjectInternal>

A `Plugin` which provides the basic skeleton for reporting.

This plugin adds the following extension objects to the project:

- `ReportingExtension`

## Constructor Summary

Constructors
Constructor
Description
`ReportingBasePlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(org.gradle.api.internal.project.ProjectInternal project)`
Apply this plugin to the given target object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReportingBasePlugin

public ReportingBasePlugin()

## Method Details

### apply

public void apply(org.gradle.api.internal.project.ProjectInternal project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
Parameters:
  `project` - The target object